Readme
======

This package contains the source code for the paper **The (not so) Trivial
Lifting in Two Dimensions**, by Ricardo Fukasawa, Laurent Poirrier and Álinson
S. Xavier.

Required Tools and Libraries
----------------------------

To produce the tables in the paper, the following tools and libraries were
used. Different versions may produce slightly different outputs.

- GNU Make, version 3.81
- CMake, version 3.5.1
- GCC, the GNU Compiler Collection, version 4.8.4
- Ruby, version 1.9.3
- IBM® ILOG® CPLEX®, version 12.6.2

Build instructions
------------------

1. Navigate to the folder `build`
2. Run `cmake ..` then `make`
3. An executable file named `benchmark.run` will be generated

Running the experiments
-----------------------

1. Build the project, following the instructions above.
2. Navigate to the folder `run` and execute

        ./run_experiments

3. Two CSV files will be generated inside the folder `run/tables`,
   corresponding to the two tables that appear in the paper.

